function clientConnect(host,port)
	connection = lube.tcpClient()
	connection.handshake = "Pong!"

	connection.callbacks.recv = function(d) receiveClient(d) end

	if connection:connect(host, port, true) then
	   print('Connected to ' .. host .. ':' .. port)
	   printc('Connected to ' .. host .. ':' .. port)
	   printc("Press 'T' to chat!")
	   menuState = "clientmenu"
	   cursor.currentPos=1
	   client=true
	   connection:send("color/"..playerColor.f.R.."/"..playerColor.f.G.."/"..playerColor.f.B.."/")
	else
		print("Failed to connect "..host..":"..port)
		printc("Failed to connect "..host..":"..port)
	end

end

function receiveClient(data)
	--print('Server data received: ' .. data)
	local datatype = ""
	--Almacenar datos para usarlos al final del loop
	local data1
	local data2
	local data3
	local data4
	local data5

	decoded = data:split("/")
	for i,v in pairs(decoded) do
		if datatype == "chat" then
			if i == 2 then printc(v) end
		elseif datatype == "start" then
			if i == 2 then data1 = v end
			if i == 3 then
				data2 = v
				createPad(1,online)
				createPad(2,localPlayerControl)
				enemypause = false
				gamestart(tonumber(data1),tonumber(data2),true)
			end
		elseif datatype == "serverdata" then
			for ii,vv in ipairs(pads) do
			for _,ball in ipairs(balls) do
				if vv.player == 1 then
					if i == 2 then vv.x = tonumber(v) end
					if i == 3 then vv.y = tonumber(v) end
					if i == 4 then ball.x = tonumber(v) end
					if i == 5 then ball.y = tonumber(v) end
					if i == 6 then ball.vx = tonumber(v) end
					if i == 7 then ball.vy = tonumber(v) end
					if i == 8 then score1 = tonumber(v) end
					if i == 9 then score2 = tonumber(v) end
				end 
			end
			end
		elseif datatype == "pause" then
			if tobool(v) == true then enemypause = true end
			if tobool(v) == false then enemypause = false end
		elseif datatype == "stopserver" then
			stopGame()
			menuState = "connectmenu"
			connection:disconnect()
		elseif datatype == "stopgame" then
			stopGame()
			menuState = "clientmenu"
			enemypause = false
		elseif datatype == "color" then
			if i == 2 then enemyR = v end
        	if i == 3 then enemyG = v end
         	if i == 4 then enemyB = v end
		end
		if i == 1 then datatype = v end
	end
end

function disconnectClient()
	client=false
	enemypause = false
	connection:disconnect()
	printc("Disconnected")
end