require "menu"
require "save"
require "game"
require "class"
require "LUBE"
require "client"
require "server"

function love.load()

	version="1.1"

	--[[ Bugs corregidos 1.1
	-Arco derecho invisible en escala 1.6
	-Quitada informacion inutil llevada a la consola
	-Desactivados modulos sin usar
	-Score cuando movement esta en free
	-Si el host apreta escape y exit muy rapido pueden pasar cosas raras en el client
	]]--
	
	gamestate="menu"
	client=false
	server=false
	allowConnection=false
	menu.load()
	save.load()
	game.load()
end

function love.keypressed(key)
	if gamestate == "menu" then menu.keypressed(key) end
	if gamestate == "game" then game.keypressed(key) end
end

function love.update(dt)
	if gamestate == "menu" then menu.update(dt) end
	if gamestate == "game" then game.update(dt) end
	if client or server then connection:update(dt) end
end

function love.draw()
	love.graphics.scale(scale,scale)
	if gamestate == "menu" then menu.draw() end
	if gamestate == "game" then game.draw() end
end