function createServer(port)
	connection = lube.tcpServer()
	connection.handshake = "Pong!"

	connection.callbacks.recv = function(d, id) receiveServer(d, id) end
	connection.callbacks.connect = function(id) clientConnected(id) end
	connection.callbacks.disconnect = function(id) clientDisconnected(id) end

	connection:listen(port)
	print('Server started on port: ' .. tostring(port))
   printc("Server started on port: "..tostring(port))
   printc("Press 'T' to chat!")
   foundClient=false
   server=true
   allowConnection=true
end

function clientConnected(clientId)
   foundClient=true
   print('Client connected: ' .. tostring(clientId))
   printc('Client connected: ' .. tostring(clientId))
   connection:send("color/"..playerColor.f.R.."/"..playerColor.f.G.."/"..playerColor.f.B.."/")
end

function clientDisconnected(clientId)
   foundClient=false
   enemypause = false
   stopGame()
   menuState = "hostmenu"
   print('Client disconnected: ' .. tostring(clientId))
   printc('Client disconnected: ' .. tostring(clientId))
end

function receiveServer(data, clientId)
   --print('Received ' .. data)
   local datatype = ""
   decoded = data:split("/")
   for i,v in pairs(decoded) do
      if datatype == "chat" then
         if i == 2 then printc(v) end
      elseif datatype == "clientpos" then
         for ii,vv in ipairs(pads) do
            if vv.player == 2 then
               if i == 2 then vv.x = tonumber(v) end
               if i == 3 then vv.y = tonumber(v) end
            end
         end
      elseif datatype == "pause" then
         if tobool(v) == true then enemypause = true end
         if tobool(v) == false then enemypause = false end
      elseif datatype == "color" then
         if i == 2 then enemyR = v end
         if i == 3 then enemyG = v end
         if i == 4 then enemyB = v end
      end
      if i == 1 then datatype = v end
   end
end

function stopGameServer()
   enemypause=false
   connection:send("stopgame/true")
   menuState = "hostmenu"
end

function disconnectServer()
   allowConnection=false
   menuState = "mainmenu"
   connection:send("stopserver/true")
end